flutter_chat_ui 1.0.2
flutter_chat_ui: ^1.0.2 copied to clipboard

Actively maintained, community-driven chat UI implementation with an optional Firebase BaaS.


Flyer Chat Logo

Flutter Chat UI

Actively maintained, community-driven chat UI implementation with an optional Firebase BaaS.


Pub Build Status CodeFactor


Chat Image


Flyer Chat is a platform for creating in-app chat experiences using Flutter or React Native. This repository contains chat UI implementation for Flutter.

  • Free, open-source and community-driven. We offer no paid plugins and strive to create an easy-to-use, almost drop-in chat experience for any application. Contributions are more than welcome! Please read our Contributing Guide.

  • Backend agnostic. You can choose the backend you prefer. But if you don't have one, we provide our own free and open-source Firebase implementation, which can be used to create a working chat in minutes. We are also working on our more advanced SaaS and self-hosted solutions.

  • Customizable. Supports custom themes, locales and more. Check our documentation for the info. More options are on the way, let us know if something is missing.

  • Minimum dependencies. Our packages are lightweight. Use your favourite packages for selecting images, opening files etc. See the example for possible implementation.

Getting Started #

Requirements #

Dart >=2.12.0 and Flutter >=2.0.0

Read our documentation or see the example project.

Contributing #

Please read our Contributing Guide before submitting a pull request to the project.

Code of Conduct #

Flyer Chat has adopted the Contributor Covenant as its Code of Conduct, and we expect project participants to adhere to it. Please read the full text so that you can understand what actions will and will not be tolerated.

License #

Licensed under the Apache License, Version 2.0

34
likes
130
pub points
84%
popularity

Publisher

flyer.chat

Actively maintained, community-driven chat UI implementation with an optional Firebase BaaS.

Homepage

Documentation

API reference

License

Apache 2.0 (LICENSE)

Dependencies

flutter, flutter_chat_types, flutter_link_previewer, intl, photo_view

More

Packages that depend on flutter_chat_ui